package com.ejie.ab79.service.listados;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab79.dao.listados.BusquedasDao;
import com.ejie.ab79.dao.listados.ParametrosDao;
import com.ejie.ab79.model.listados.Busquedas;
import com.ejie.ab79.model.listados.Parametros;

/**
 * 
 *  
 *
 */

@Service(value = "busquedasService")
public class BusquedasServiceImpl implements BusquedasService {

	@Autowired
	private BusquedasDao busquedasDao;
	@Autowired
	private ParametrosDao parametrosDao;

	/**
	 * Finds rows in the Listados table using like.
	 *
	 * @param filterBusquedas
	 *            Busquedas
	 * 
	 * @return List<Busquedas>
	 */
	public List<Busquedas> findByLsitado(Busquedas filterBusquedas) {

		List<Busquedas> listaBusquedas = this.busquedasDao.findByListado(filterBusquedas);
		List<Busquedas> resultado = new ArrayList<Busquedas>();
		for (Busquedas busquedas : listaBusquedas) {
			Parametros filterParametros = new Parametros();
			filterParametros.setBusquedas(busquedas);
			List<Parametros> listaParametros = this.parametrosDao.findByBusqueda(filterParametros);
			busquedas.setListParametros(listaParametros);
			resultado.add(busquedas);
		}
		return resultado;
	}
}
